import { Component, Input } from '@angular/core';
import { faArrowUp } from '@fortawesome/free-solid-svg-icons';
import { ExerciseBodyComponent } from '../exercise-details.component';

@Component({
  selector: 'exercise-tree',
  templateUrl: './exercise-tree.component.html',
  styleUrls: ['./exercise-tree.component.css'],
})
export class ExerciseTreeComponent {
  /**
   * Provide data for tree.
   */
  @Input() exerciseBodyComponent: ExerciseBodyComponent | undefined;

  upIcon = faArrowUp;
}
