import { ILanguages } from 'app/shared/model/exercise.model';

export class MetadataSearchInput {
  public keyword: string;
  public programmingLanguage: string;
  public naturalLanguage: Array<ILanguages>;
  public license: string;
  public author: string;
  public learningResourceType: string;
  public format: string;
  public parentId: string;

  public constructor() {
    this.keyword = '';
    this.programmingLanguage = '';
    this.naturalLanguage = [];
    this.license = '';
    this.author = '';
    this.learningResourceType = '';
    this.format = '';
    this.parentId = '';
  }
}
