import { NgModule } from '@angular/core';
import { SharedModule } from 'app/shared/shared.module';
import { ReviewHistoryEntryComponent } from './list/review-history-entry.component';
import { ReviewHistoryEntryDetailComponent } from './detail/review-history-entry-detail.component';
import { ReviewHistoryEntryUpdateComponent } from './update/review-history-entry-update.component';
import { ReviewHistoryEntryDeleteDialogComponent } from './delete/review-history-entry-delete-dialog.component';
import { ReviewHistoryEntryRoutingModule } from './route/review-history-entry-routing.module';

@NgModule({
  imports: [SharedModule, ReviewHistoryEntryRoutingModule],
  declarations: [
    ReviewHistoryEntryComponent,
    ReviewHistoryEntryDetailComponent,
    ReviewHistoryEntryUpdateComponent,
    ReviewHistoryEntryDeleteDialogComponent,
  ],
  entryComponents: [ReviewHistoryEntryDeleteDialogComponent],
})
export class ReviewHistoryEntryModule {}
